Summary:	A GUI for handling X509 certificates, RSA keys, PKCS#10 Requests
Summary(pl.UTF-8):	GUI do obsługi certyfikatów X509, kluczy RSA, żądań PKCS#10
Name:		xca
Version:	2.8.0
Release:	2
Epoch:		1
License:	BSD
Group:		Applications/Communications
Source0:	https://github.com/chris2511/xca/releases/download/RELEASE.%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	15c5efc3822cc6075501ed73341bca76
Patch0:		cmake.patch
URL:		https://hohnstaedt.de/xca/
BuildRequires:	Qt5Core-devel >= 5.14.0
BuildRequires:	Qt5Help-devel >= 5.14.0
BuildRequires:	Qt5Sql-devel >= 5.14.0
BuildRequires:	Qt5Widgets-devel >= 5.14.0
BuildRequires:	cmake >= 3.16
# C++17
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	openssl-devel >= 1.1.1
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= 5.14.0
BuildRequires:	qt5-linguist >= 5.14.0
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(find_lang) >= 1.37
BuildRequires:	rpmbuild(macros) >= 1.673
BuildRequires:	python3-Sphinx
Requires:	Qt5Core >= 5.14.0
Requires:	Qt5Help >= 5.14.0
Requires:	Qt5Sql >= 5.14.0
Requires:	Qt5Widgets >= 5.14.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphical certification authority is an interface for managing RSA
keys and certificates, and the creation and signing of PKCS#10
requests. It uses the OpenSSL library and a Berkeley DB for key and
certificate storage. It supports importing and exporting keys and PEM
DER PKCS8 certificates, signing and revoking of PEM DER PKCS12, and
the selection of x509v3 extensions. A tree view of certificates is
presented.

%description -l pl.UTF-8
Graficzne CA to interfejs do zarządzania kluczami RSA i certyfikatami,
tworzenia i podpisywania żądań PKCS#10. Używa biblioteki OpenSSL i
bazy Berkeley DB do przechowywania kluczy i certyfikatów. Obsługuje
importowanie i eksportowanie kluczy i certyfikatów PEM DER PKCS8,
podpisywanie i anulowanie PEM DER PKCS12 oraz wybór rozszerzeń x509v3.
Pokazywane jest drzewo certyfikatów.

%package -n bash-completion-xca
Summary:	Bash completion for xca commands
Summary(pl.UTF-8):	Bashowe uzupełnianie parametrów dla poleceń xca
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 2.0
BuildArch:	noarch

%description -n bash-completion-xca
Bash completion for xca commands.

%description -n bash-completion-xca -l pl.UTF-8
Bashowe uzupełnianie parametrów dla poleceń xca.

%prep
%setup -q
%patch0 -p1

%build
%cmake -B build \
	-DQTFIXEDVERSION=Qt5

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/xca,%{_desktopdir},%{_mandir}/man1}

%{__make} -C build install/fast \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_mime_database

%postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT changelog README.md
%attr(755,root,root) %{_bindir}/xca
%{_datadir}/metainfo/de.hohnstaedt.xca.metainfo.xml
%{_datadir}/mime/packages/xca.xml
%dir %{_datadir}/xca
%{_datadir}/xca/html
%dir %{_datadir}/xca/i18n
%{_datadir}/xca/*.txt
%{_datadir}/xca/*.xca
%{_desktopdir}/de.hohnstaedt.xca.desktop
%{_mandir}/man1/xca.1*
%{_docdir}/xca
%{_iconsdir}/hicolor/*x*/apps/de.hohnstaedt.xca.png
%{_iconsdir}/hicolor/*x*/mimetypes/x-xca-*.png

%files -n bash-completion-xca
%defattr(644,root,root,755)
%{bash_compdir}/xca
%changelog
* Mon Oct 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xca.git;a=log;h=master

* Mon Oct 28 2024 Jakub Bogusz <qboosh@pld-linux.org> 1dd426d
- epoch fix, release 2

* Thu Oct 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 83e3c9c
- updated dependencies, use find_lang

* Wed Oct 23 2024 Bartek Szady <bszx@bszx.eu> 50fb142
- updated to 2.8.0

* Fri Mar 08 2024 Bartek Szady <bszx@bszx.eu> 17205db
- updated to 2.6.0

* Sun Jan 30 2022 Bartek Szady <bszx@bszx.eu> 54bd641
- updated to 2.4.0

* Sat Apr 25 2020 Bartek Szady <bszx@bszx.eu> 14fcadb
- updated to 2.2.1, requires Qt5

* Mon Nov 03 2014 Bartek Szady <bszx@bszx.eu> 2968d17
- updated to 1.0.0
  unused patches deleted

* Fri Jun 29 2012 Jakub Bogusz <qboosh@pld-linux.org> a5d6b84
- updated BRs
- use "all" make target to get verbose messages

* Fri Jun 29 2012 bszx <bszx@pld-linux.org> 7af04a1
- updated to 0.9.3

* Fri Jun 29 2012 bszx <bszx@pld-linux.org> bcf2be4
- updated for xca 0.9.3

* Sun Mar 06 2011 Artur Frysiak <artur@frysiak.net> 12cd3bf
- added mime info

* Fri Feb 04 2011 sparky <sparky@pld-linux.org> ca3be78
- BR: libltdl-devel
- adapter

* Fri Feb 04 2011 bszx <bszx@pld-linux.org> c7f3e0a
- updated to 0.9.0

* Tue Apr 06 2010 bszx <bszx@pld-linux.org> c9bb943
- updated to 0.8.1

* Tue Apr 06 2010 bszx <bszx@pld-linux.org> 83665fc
- updated for xca 0.8.1

* Tue Jul 01 2008 beorn <beorn@pld-linux.org> 8ddb302
- Added missing BRs

* Tue Mar 11 2008 Jakub Bogusz <qboosh@pld-linux.org> aad3d45
- install uncompressed manpage

* Tue Mar 11 2008 kosmo <kosmo@pld-linux.org> 6f9bca9
- outdated

* Tue Mar 11 2008 kosmo <kosmo@pld-linux.org> 89b0083
- updated/created for xca 0.6.4

* Tue Mar 11 2008 kosmo <kosmo@pld-linux.org> 8844778
- updated to 0.6.4

